Subject: bug#79254: closed (fluxbox.desktop file is misplaced)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 22 Aug 2025 17:07:02 +0000

Your message dated Fri, 22 Aug 2025 20:05:56 +0300
with message-id <aKijdMQqFSU366Vs@X1>
and subject line Re: bug#79254: fluxbox.desktop file is misplaced
has caused the debbugs.gnu.org bug report #79254,
regarding fluxbox.desktop file is misplaced
to be marked as done.

(If you believe you have received this mail in error, please contact
[email-masked].)

-- 
79254: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=79254
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: fluxbox.desktop file is misplaced
From: Dmitrii Samoilov <[email-masked]>
To: [email-masked]
Date: Sat, 16 Aug 2025 00:27:02 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

The fluxbox.desktop file isn't being installed in
share/xsessions/ anymore, making fluxbox unavailable to display managers. I
suppose, the bug was introduced here:

https://codeberg.org/guix/guix/src/branch/master/gnu/packages/wm.scm#L1405

by this commit:

https://codeberg.org/guix/guix/commit/d7cbea959444289c01acbd2427b7927919cfaedf

Thanks.

-- 
Sent with GNU Emacs + Gnus.

I'm an FSF member -- Help us support software freedom!
<https://my.fsf.org/join?referrer=3798>

Subject: Re: bug#79254: fluxbox.desktop file is misplaced
From: Efraim Flashner <[email-masked]>
To: Dmitrii Samoilov <[email-masked]>
Cc: [email-masked]
Date: Fri, 22 Aug 2025 20:05:56 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, Aug 16, 2025 at 12:27:02AM +0200, Dmitrii Samoilov wrote:
> Hi,
> 
> The fluxbox.desktop file isn't being installed in
> share/xsessions/ anymore, making fluxbox unavailable to display managers. I
> suppose, the bug was introduced here:
> 
> https://codeberg.org/guix/guix/src/branch/master/gnu/packages/wm.scm#L1405
> 
> by this commit:
> 
> https://codeberg.org/guix/guix/commit/d7cbea959444289c01acbd2427b7927919cfaedf
> 
> Thanks.
> 

Thanks! This is fixed now.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted